Skip to main content
List Lab Reports
curl --request GET \
  --url https://app-api.spikeapi.com/v3/lab_reports \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app-api.spikeapi.com/v3/lab_reports"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app-api.spikeapi.com/v3/lab_reports', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "collection_date": "<string>",
    "lab_information": {
      "address": "<string>",
      "email_address": "<string>",
      "name": "<string>",
      "notes": "<string>",
      "phone_number": "<string>"
    },
    "modified_at": "2023-11-07T05:31:56Z",
    "notes": "<string>",
    "original_record_id": "<string>",
    "parsing_error": "<string>",
    "patient_information": {
      "address": "<string>",
      "age": 1,
      "date_of_birth": "<string>",
      "email_address": "<string>",
      "gender": "<string>",
      "name": "<string>",
      "notes": "<string>",
      "patient_id": "<string>",
      "phone_number": "<string>"
    },
    "result_date": "<string>",
    "sections": [
      {
        "loinc_code": "<string>",
        "loinc_common_name": "<string>",
        "original_section_name": "<string>",
        "results": [
          {
            "original_test_name": "<string>",
            "original_unit_name": "<string>",
            "standard_test_name": "<string>",
            "standard_unit_name": "<string>",
            "loinc_code": "<string>",
            "loinc_common_name": "<string>",
            "normal_max": 123,
            "normal_min": 123,
            "notes": "<string>",
            "require_human_review": true,
            "tested_positive": true,
            "value": 123,
            "value_text": "<string>",
            "within_normal_range": true
          }
        ],
        "section_notes": "<string>",
        "standard_section_name": "<string>"
      }
    ],
    "uploaded_at": "2023-11-07T05:31:56Z"
  }
]
{
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}
{
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}
{
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}
{
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}
{
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from_timestamp
string<date-time>
required

Start time of the query range in UTC, inclusive

Examples:

"2006-01-02T15:04:05"

"2006-01-02T15:04:05Z"

to_timestamp
string<date-time>
required

End time of the query range in UTC, non-inclusive

Examples:

"2006-01-02T15:04:05"

"2006-01-02T15:04:05Z"

Response

object[] | null

OK

record_id
string<uuid>
required

Unique identifier for a record.

Example:

"12345678-1234-abcd-4321-abcdef123456"

status
enum<string>
required

Lab Report Status

Available options:
pending,
processing,
completed,
failed
collection_date
string
lab_information
object
modified_at
string<date-time>
notes
string
original_record_id
string
parsing_error
string
patient_information
object
result_date
string
sections
object[] | null
uploaded_at
string<date-time>